#!/bin/bash

sudo rm -rf ramdisk*

sudo dd if=/dev/zero of=ramdisk bs=1M count=8

sudo mkfs.ext2 -F ramdisk

sudo mkdir -p ./initrd
sudo mount -t ext2 ramdisk ./initrd

sudo cp rootfs/* ./initrd -raf

sudo mknod initrd/dev/console c 5 1
sudo mknod initrd/dev/null c 1 3

sudo umount ./initrd

sudo gzip --best -c ramdisk > ramdisk.gz

sudo mkimage -n "ramdisk" -A arm -O linux -T ramdisk -C gzip -d ramdisk.gz ramdisk.img

sudo cp ramdisk.img /tftpboot
